lowercase(){
    echo "$1" | sed "y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/"
}

OS=`lowercase \`uname\``

if [ $OS == "windowsnt" ]; then
    OS=win
elif [ $OS == "linux" ]; then
    OS=linux
#elif [ $OS == "darwin" ]; then
    #OS=mac
#elif [ $OS == "sunos" ]; then
    #OS=solaris
else
    OS="unknown"
fi

if [ $OS != "unknown" ]; then
    MACH=`uname -m`

    if [ $MACH == "x86_64" ]; then
        BIT=64
    else
        BIT=32
    fi

    LIB="$OS$BIT"

    echo $LIB

    export GPR_PROJECT_PATH=../lib/$LIB/gtkada/lib/gnat
    #export CHEDDAR_INSTALL_PATH=$CHEDDAR_DIR/src/graphical_editor/
else
    echo 
fi
