with Text_IO;             use Text_IO;
with Translate;           use Translate;
with unbounded_strings;   use unbounded_strings;
with Scheduler;           use Scheduler;
with Scheduling_Analysis; use Scheduling_Analysis;
use Scheduling_Analysis.Double_Tasks_Parameters_Package;
with priority_assignment.rm; use  priority_assignment.rm;
with priority_assignment.dm; use priority_assignment.dm;
with systems; use systems;
with scheduler.fixed_priority; use scheduler.fixed_priority;






package feasibility_test.worst_case_blocking_time is 




-----------------------------------------
-- Entry point for any scheduler
-----------------------------------------

   procedure Compute_Blocking_Time
     (My_Scheduler   : in Generic_Scheduler_ptr;
      My_Tasks       : in Tasks_Set;
      My_Resources   : in Resources_Set;
      Processor_Name : in Unbounded_String;
      Msg            : in out Unbounded_String;
      Blocking_Time  : out Blocking_Time_Table);



------------------------------------------  


   function Compute_Pcp_Blocking_Time
     (My_Tasks     : in Tasks_Set;
      My_Resources : in Resources_Set;
      Task_Name    : in Unbounded_String)
      return         Natural;

   function Compute_Pip_Blocking_Time
     (My_Tasks     : in Tasks_Set;
      My_Resources : in Resources_Set;
      Task_Name    : in Unbounded_String)
      return         Natural;



   procedure Compute_Blocking_Time
     (My_Scheduler   : in Fixed_Priority_Scheduler;
      My_Tasks       : in Tasks_Set;
      My_Resources   : in Resources_Set;
      Processor_Name : in Unbounded_String;
      Msg            : in out Unbounded_String;
      Blocking_Time  : out Blocking_Time_Table);
 


end feasibility_test.worst_case_blocking_time;


