with Tasks;                     use Tasks;
with Task_Set;                  use Task_Set;
use Task_Set.Generic_Task_Set;
with Task_Groups;               use Task_Groups;
with Task_Group_Set;            use Task_Group_Set;
with Resources;                 use Resources;
use Resources.resource_accesses;
with Resource_Set;              use Resource_Set;
use Resource_Set.Generic_Resource_Set;
with Buffers;                   use Buffers;
use Buffers.Buffer_Roles_package;
with Buffer_Set;                use Buffer_Set;
use Buffer_Set.Generic_Buffer_Set;
with Messages;                  use Messages;
with Message_Set;               use Message_Set;
use Message_Set.Generic_Message_Set;
with Ada.Strings.Unbounded;     use Ada.Strings.Unbounded;
with unbounded_strings;         use unbounded_strings;
with Framework_Config;          use Framework_Config;
with Ada.Numerics.Aux;          use Ada.Numerics.Aux;
with Ada.Numerics.Float_Random; use Ada.Numerics.Float_Random;
with Time_Unit_Events;          use Time_Unit_Events;
use Time_Unit_Events.Time_Unit_Package;
with Scheduling_Analysis;       use Scheduling_Analysis;
with Task_Dependencies;         use Task_Dependencies;
use Task_Dependencies.Half_Dep_Set;
with Ada.Finalization;
with indexed_tables;
with natural_util;
with access_lists;
with Unchecked_Deallocation;
with primitive_xml_strings;     use primitive_xml_strings;
with Scheduler_Interface;       use Scheduler_Interface;
with processor_interface;       use processor_interface;
with scheduler; use scheduler;


package Feasibility_Test is


-- Exception raised when a feasibility test take too much computation time
--
computation_time_exceeded : exception;


end Feasibility_Test;
