with Ada.Strings.Unbounded; 		use Ada.Strings.Unbounded;
with Text_IO;             		use Text_IO;
with unbounded_strings;   		use unbounded_strings;
with Scheduling_Analysis; 		use Scheduling_Analysis;
with Priority_Assignment.Audsley_OPA;	use Priority_Assignment.Audsley_OPA;
with Task_Set; 				use Task_Set;
with Tasks; 				use Tasks;
with Tasks.Extended; 			use Tasks.Extended;
with Integer_Arrays; 			use Integer_Arrays;
with Priority_Assignment.Utility; 	use Priority_Assignment.Utility;
with Cache_Set; use Cache_Set;

package Priority_Assignment.Audsley_OPA_CRPD_PT is
   ---------------------------------
   -- Perform feasibilitty testing with CRPD Interference computed by PT-Simplified and PT solution
   --
   --------------------------------
   procedure OPA_Feasibility_Test_CRPD_Upperbound
     (priority_level 		: in Integer;
      a_task_ucb_ecb_array_ptr 	: in Task_UCB_ECB_Array_Ptr;
      BE_Complexity		: in Boolean := FALSE;
      i_task 			: in out Generic_Task_Ptr;
      my_tasks			: in out Tasks_Set;
      is_schedulable 		: out Boolean);

end Priority_Assignment.Audsley_OPA_CRPD_PT;
