with Text_IO;                   	use Text_IO;
with Ada.Strings.Unbounded;     	use Ada.Strings.Unbounded;
with Tasks;				use Tasks;
with Task_Set;                  	use Task_Set;
with Offsets;				use Offsets;
with Offsets;				use Offsets.Offsets_Table_Package;
with Offsets.extended;			use Offsets.extended;
with Tasks; 				use Tasks;
with Systems; 				use Systems;
with CFG_Node_Set.Basic_Block_Set; 	use CFG_Node_Set.Basic_Block_Set;
with Tables;
with sets;

package cache_analysis_test is

   ------------------------------------------------------
   -- Procedure for testing purpose
   ------------------------------------------------------
   procedure Print_GEN
     (my_basic_blocks : in Basic_Blocks_Set;
      number_cache_block : in Integer);

   procedure Print_RMB
     (my_basic_blocks : in Basic_Blocks_Set;
      number_cache_block : in Integer);

   procedure Print_LMB
     (my_basic_blocks : in Basic_Blocks_Set;
      number_cache_block : in Integer);

   procedure Print_NumberUsefulBlock
     (my_basic_blocks : in Basic_Blocks_Set);

   ------------------------------------------------------
   -- Procedure for generating systems, examples
   ------------------------------------------------------
   procedure generate_system_with_cache_and_cfg;

   procedure read_system_with_cache_and_cfg;

   procedure compute_memory_access_profile;

end cache_analysis_test;
