with Text_IO;                   	use Text_IO;
with Ada.Strings.Unbounded;     	use Ada.Strings.Unbounded;
with Tasks;				use Tasks;
with Task_Set;                  	use Task_Set;
with Offsets;				use Offsets;
with Offsets;				use Offsets.Offsets_Table_Package;
with Offsets.extended;			use Offsets.extended;
with Tables;
with sets;
with Tasks; 				use Tasks;
with Scheduling_Analysis;		use Scheduling_Analysis;
with Systems; 				use Systems;
with Priority_Assignment.Utility; 	use Priority_Assignment.Utility;
with Cache_Set; 			use Cache_Set;
with Cache_Access_Profile_Set;		use Cache_Access_Profile_Set;

package audsley_opa_crpd_test is

   procedure generate_task_set;

   procedure Print_Task_Release_Records_Table(a_trrt : in Task_Release_Records_Table_Ptr);

   procedure Print_Task_Set(my_tasks : Tasks_Set);

   procedure Print_Task_UCB_ECB_Array (a_task_ucb_ecb_array : Task_UCB_ECB_Array_Ptr);

   procedure Print_Cache_Access_Profiles_Set(my_cache_access_profiles : Cache_Access_Profile_Set.Cache_Access_Profiles_Set);

end audsley_opa_crpd_test;
