with Systems;                  use Systems;
with Call_Framework_Interface; use Call_Framework_Interface;
with Processors;               use Processors;
with Processor_Set;            use Processor_Set;
with Processor_Set;	       use Processor_Set.Generic_Processor_Set;
with Ada.Strings.Unbounded;    use Ada.Strings.Unbounded;
with sets;
package Call_Cache_Framework is

   -------------------------------------
   -- Compute the cache access profile of a task with name "Task_Name"
   -- - Set of UCBs of a task
   -- - Set of ECBs of a task
   -- Add: a Cache_Acess_Profile to System.Cache_Access_Profiles with name: "task_name_cap"
   -- Modify: a_task.cache_access_profile_name --> "task_name_cap".
   --
   -------------------------------------
   procedure Compute_Task_Cache_Access_Profile
     (Sys         : in out System;
      Result      : in out Unbounded_String;
      Output      : in Output_Format := String_Output);

end Call_Cache_Framework;
