with applicability_constraint.Unsimultaneous_Release_Time_Constraint;
use applicability_constraint.Unsimultaneous_Release_Time_Constraint;
with applicability_constraint.Simultaneous_Release_Time_Constraint;
use applicability_constraint.Simultaneous_Release_Time_Constraint;
with applicability_constraint.Period_Equal_Deadline_Constraint;
use applicability_constraint.Period_Equal_Deadline_Constraint;
with applicability_constraint.Period_Smaller_Than_Deadline_Constraint;
use applicability_constraint.Period_Smaller_Than_Deadline_Constraint;
with applicability_constraint.Period_Larger_Than_Deadline_Constraint;
use applicability_constraint.Period_Larger_Than_Deadline_Constraint;
with Applicability_Constraints_Main_Structure;
use Applicability_Constraints_Main_Structure;
with feasibility_tests_for_Time_Triggered_Communication;
with feasibility_tests_for_Time_Triggered_Communication;
with Processors;                                                       use 
  Processors;
with Scheduler;                                                        use 
  Scheduler;
with Ada.IO_Exceptions;                                                use 
  Ada.IO_Exceptions;
with GNAT.Current_Exception;                                           use 
  GNAT.Current_Exception;
with Unbounded_Strings;                                                use 
  Unbounded_Strings;
with GNAT.Command_Line;                                                use 
  GNAT.Command_Line;
with GNAT.OS_Lib;                                                      use 
  GNAT.OS_Lib;
with Text_IO;                                                          use 
  Text_IO;
with Version;                                                          use 
  Version;
with Ada.Strings.Unbounded;                                            use 
  Ada.Strings.Unbounded;
with Systems;                                                          use 
  Systems;
with Task_Set;                                                         use 
  Task_Set;
with Processor_Set;                                                    use 
  Processor_Set;
with Address_Space_Set;                                                use 
  Address_Space_Set;
with Resource_Set;                                                     use 
  Resource_Set;
with Buffer_Set;                                                       use 
  Buffer_Set;
with Call_Framework;                                                   use 
  Call_Framework;
with Tasks;                                                            use 
  Tasks;
use Task_Set.Generic_Task_Set;

package feasibility_tests_main_structure_factory is

   procedure Time_Triggered_Communication_feasibility_tests_main_structure
     (All_Cases : out All_Cases_Structure;
      Sys       : in System);

   procedure ravenscar_feasibility_tests_main_structure
     (All_Cases : out All_Cases_Structure;
      Sys       : in System);

   procedure unplugged_feasibility_tests_main_structure
     (All_Cases : out All_Cases_Structure;
      Sys       : in System);

end feasibility_tests_main_structure_factory;
