
with Translate;           use Translate;
with unbounded_strings;   use unbounded_strings;
with Scheduling_Analysis; use Scheduling_Analysis;
use Scheduling_Analysis.Double_Tasks_Parameters_Package;
with feasibility_test.processor_utilization;
use feasibility_test.processor_utilization;
with systems;			use systems;
with Cache_Set; 		use Cache_Set;
with Cache_Block_Set;		use Cache_Block_Set;
with Cache_Access_Profile_Set;	use Cache_Access_Profile_Set;
with Caches; 			use Caches;
with Call_Framework_Interface; 	use Call_Framework_Interface;


package feasibility_test.periodic_task_worst_case_response_time  is


-----------------------------------------
-- Entry point for any scheduler
-----------------------------------------

   procedure Compute_Response_Time
     (My_Scheduler   			: in generic_Scheduler_ptr;
      My_Tasks       			: in out Tasks_Set;
      Processor_Name 			: in Unbounded_String;
      Msg            			: in out Unbounded_String;
      Response_Time  			: out Response_Time_Table;
      With_CRPD 			: in Boolean 				:= false;
      CRPD_Computation_Approach 	: in CRPD_Computation_Approach_Type 	:= ECB_Only;
      Block_Reload_Time 		: in Natural 				:= 0;
      My_Cache_Access_Profiles	     	: in Cache_Access_Profiles_Set 		:= no_cache_access_profile);


end feasibility_test.periodic_task_worst_case_response_time;



