
with Ada.Text_IO;                use Ada.Text_IO;
with Ada.Exceptions;                use Ada.Exceptions;




package body initialize_framework is 



-- Global variable to check that the framework has been initialized
-- before been called
--
framework_was_initialized : boolean := false;



procedure Set_Initialize is 
begin
	framework_was_initialized:=true;
end Set_Initialize;

procedure Check_Initialize is 
begin
	if not framework_was_initialized
	then
		Put_Line("Fatal error detected in Initialize_Framework.adb");
		Put_Line("Cheddar framework is not initialized : please, initialize the framework before any call");
		Raise CONSTRAINT_ERROR;

	end if;
end Check_Initialize;


end  initialize_framework;


