with Ada.Numerics;                      use Ada.Numerics;
with Ada.Numerics.Elementary_Functions; use Ada.Numerics.Elementary_Functions;
with Statements;                        use Statements;
with Expressions;                       use Expressions;
use Expressions.Variables_Type_Package;
with Ada.Strings.Unbounded.Text_IO;     use Ada.Strings.Unbounded.Text_IO;
with unbounded_strings;                 use unbounded_strings;
with Ada.IO_Exceptions;                 use Ada.IO_Exceptions;
with Ada.Integer_Text_IO;       	use Ada.Integer_Text_IO;
with Ada.Exceptions;                    use Ada.Exceptions;
with Text_IO;                           use Text_IO;
with Integer_Arrays;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Task_Set; use Task_Set;
with Processor_Set; use Processor_Set;
with Processors; use Processors;
with Tasks; use Tasks;
with Multiprocessor_Services; use Multiprocessor_Services;
with Framework_Config; use Framework_Config;
with Translate; use Translate;
with Systems; use Systems;
with Partitioning_Algorithm_Set; use Partitioning_Algorithm_Set;
with Atomic_Operations; use Atomic_Operations;


package optimization_services is

--      procedure create_new_core
--       (My_Processors : in out Processors_Set;
--        My_Core	    : in out core_units_Set;
--        New_Core      : in out Integer);

    procedure create_New_Processors
     (My_Processors 	: in out Processors_Set;
      My_Core	    	: in out Core_Units_Set;
      New_Processor  	: in out Integer;
      New_Core		: in out Integer);

    Procedure run_model
     (My_Processors 		: in out Processors_Set;
      My_Core			: in out core_units_Set;
      New_Processor 		: in out integer;
      New_Core			: in out Integer;
      My_Result_Tasks   	: in out Tasks_Set;
      My_Tasks      		: in Tasks_Set;
      A_Partitioning_Algorithm	: Partitioning_Algorithm_Ptr);


end optimization_services;

