
with paes; use paes;
with Ada.Containers.Vectors;
use Ada.Containers; use Ada.Containers;


package exact_front_computation is

  type tab_sol_type is array(Integer range<>) of solution;

  package Solution_Container is new Vectors (Positive, solution);
  use Solution_Container;

  All_consistent_valid_solutions   : Solution_Container.Vector;
  nb_consistent                    :  integer; 
  nb_consistent_sched              :  integer;

  procedure enumerate_sol;

  procedure next (s : in out solution; m : in out chrom_Type; n : integer; b : out boolean);

  function Is_solution_consistent (s : in solution) return boolean;

end exact_front_computation;
