with Ada.Strings.Unbounded; 	use Ada.Strings.Unbounded;
with Text_IO;             	use Text_IO;
with unbounded_strings;   	use unbounded_strings;
with Tasks;                            	 	use Tasks;
with Tasks;					use Tasks.Generic_Task_List_Package;
with Task_Set;                          	use Task_Set;
with integer_util;				use integer_util;
with Cache_Set; 				use Cache_Set;


package Priority_Assignment.Audsley_OPA is

   --------------------------------
   --Perform the Audsley's optimal priority assignment
   --Return the task set with assigned task priorities
   --------------------------------
   procedure Set_Priority_According_To_Audsley_OPA
      (My_Tasks       : in out Tasks_Set;
       Processor_Name : in Unbounded_String := empty_string);

   --------------------------------
   -- Perform OPA with a task set
   --------------------------------
   procedure OPA
     (my_tasks : in out Tasks_Set);


end Priority_Assignment.Audsley_OPA;
