-------------------------------------------------
-------------------------------
------------------------------------------------------------------------------
-- Cheddar is a GNU GPL real time scheduling analysis tool.
-- This program provides services to automatically check performances
-- of real time architectures.
--
-- Copyright (C) 2002-2010,  by Frank Singhoff, Alain Plantec, Jerome Legrand
--
-- The Cheddar project was started in 2002 by
-- the LISyC Team, University of Western Britanny.
--
-- Since 2008, Ellidiss technologies also contributes to the development of
-- Cheddar and provides industrial support.
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : cheddar@listes.univ-brest.fr
--
-----------------------------------------------------------------------------
-- Last update :
--    $Rev: 97 $
--    $Date: 2007-07-20 15:17:15 +0200 (Fri, 20 Jul 2007) $
--    $Author: singhoff $
------------------------------------------------------------------------------
------------------------------------------------------------------------------
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
---- Contact : F. Singhoff (singhoff@univ-brest.fr)
--
------------------------------------------------------------------------------
------------------------------------------------------------------------------

package body Scheduler.user_defined.Generated is

   procedure Run_Priority_Section
     (My_Scheduler    : in out Generated_User_Defined_Scheduler;
      Si              : in out Scheduling_Information;
      Current_Time    : in Natural;
      Processor_Name  : in Unbounded_String;
      My_Dependencies : in Tasks_Dependencies_Ptr;
      Msg             : in out Unbounded_String)
   is

   begin
      null;
   end Run_Priority_Section;

   procedure Run_Start_Section
     (My_Scheduler   : in out Generated_User_Defined_Scheduler;
      Processor_Name : in Unbounded_String;
      Msg            : in out Unbounded_String)
   is
   begin
      null;
   end Run_Start_Section;

   procedure Run_Election_Section
     (My_Scheduler      : in out Generated_User_Defined_Scheduler;
      Si                : in out Scheduling_Information;
      Current_Time      : in Natural;
      Processor_Name    : in Unbounded_String;
      My_Dependencies   : in Tasks_Dependencies_Ptr;
      With_Offsets      : in Boolean;
      With_Precedencies : in Boolean;
      With_Resources    : in Boolean;
      Elected           : in out Tasks_Range;
      No_Task           : in out Boolean)
   is

   begin
      No_Task := True;
   end Run_Election_Section;

end Scheduler.user_defined.Generated;
