with Ada.Text_IO;		use Ada.Text_IO;
with Ada.Strings.Unbounded; 	use Ada.Strings.Unbounded;
with Statements;                        use Statements;
with Expressions;                       use Expressions;
with Systems; use Systems;
with Ada.Strings; use Ada.Strings;
with Task_Set; use Task_Set;
use Task_Set;
with Processors; use Processors;
with Processor_Set; use Processor_Set;
with Atomic_Operations; use Atomic_Operations;
with Partitioning_Algorithm_Set; use Partitioning_Algorithm_Set;
with optimization_services; use  optimization_services;
with partitioning_algorithms_model; use partitioning_algorithms_model;
with initialize_framework; use initialize_framework;
with Call_Framework; use Call_Framework;
with partitioning_Services; use partitioning_Services;



procedure write_model
   is
   output, sys			: System;
   My_Partitioning_Algorithms	: Partitioning_Algorithms_Set;
   My_Tasks			: Tasks_Set;
   Result_Task   		: Tasks_Set;
   My_Processors		: Processors_Set;
 --  A_Partitioning_Algorithm 	: Partitioning_Algorithm_ptr;
   New_Processor		: Integer :=1;
   New_Core			: Integer :=1;
   My_Core	   		: Core_Units_Set;
   msg				: Unbounded_String;


   begin
      Put_line ("=============================================");
      Put_line ("Export xml result from a test partitioning model");
      Put_line ("=============================================");
      Put_line("");
   Call_Framework.initialize (False);
   Initialize(sys);
   initialize(output);
	msg:= to_unbounded_string("Hello");
 	--  Input Task Set
   	build_tasks_set (output.Tasks);
   	build_processors_set(sys.Processors, sys.Core_units,New_Processor,New_Core);
   	Partition_Next_Fit(sys.Processors, output.Tasks, Msg, sys.Tasks);

	--  Partitioning Algorithm Model
  	--partitioning_first_fit(My_Partitioning_Algorithms ,A_Partitioning_Algorithm);

	--  Run Partitioning Algorithm with defined Model;
	--run_model (sys.Processors,My_Core,New_Processor,New_Core, sys.Tasks, output.Tasks, A_Partitioning_Algorithm);

      Write_To_Xml_File(sys,"model.xml");


      Put_line("");
      Put_line ("=============================================");
      Put_line ("Finish Running Algorithm");
      Put_line ("=============================================");
      Put_line("");

   end write_model;
