with Gtkada.Builder; use Gtkada.Builder;
with Glib.Object; use Glib.Object;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with unbounded_strings;     use unbounded_strings;
with Gtk.List_Store;   use Gtk.List_Store;
with Gtk.Tree_Model;  use Gtk.Tree_Model;
with graphical_editor.generic_package_widget; use graphical_editor.generic_package_widget; 
with Ada.Text_IO;      use Ada.Text_IO;

generic

Number_of_widget: positive:=30;

with procedure Initialize(Tab: in out table_widget_id ; Object : access Gtkada_Builder_Record'Class);
with procedure Check(Tab: in out table_widget_id ; Object : access Gtkada_Builder_Record'Class); 
with procedure Add_In_Sys(Tab: in out table_widget_id ; Object: access Gtkada_Builder_Record'Class);
with procedure Deleted_In_Sys(Tab: in out table_widget_id ; Object: access Gtkada_Builder_Record'Class);
with procedure Show_In_Sys(Tab: in out table_widget_id ; Object: access Gtkada_Builder_Record'Class);
with procedure Modify_In_Sys(Tab: in out table_widget_id ; Object: access Gtkada_Builder_Record'Class);

package graphical_editor.generic_callbacks is 

	PACKAGE Es_Entiers IS NEW Ada.Text_IO.Integer_IO(Integer); use Es_Entiers;
	
	tab: table_widget_id:= (others=>null);

	procedure Add_View (Object : access Gtkada_Builder_Record'Class);

	procedure Modify_Lign (Object : access Gtkada_Builder_Record'Class);

	procedure Show_Lign_Selected (Object : access Gtkada_Builder_Record'Class);

	procedure Delected_Lign_Selected (Object : access Gtkada_Builder_Record'Class);

	procedure Cancel_View (Object : access Gtkada_Builder_Record'Class);

	procedure Close_View (Object : access Gtkada_Builder_Record'Class);

end graphical_editor.generic_callbacks;



